<?php
/********************************* PHP-P10 ******************************
 *    P10 uplink class by pk910   (c)2011 pk910                         *
 ************************************************************************
 *                          Version 2 (OOP)                             *
 *                                                                      *
 * PHP-P10 is free software; you can redistribute it and/or modify      *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with PHP-P10; if not, write to the Free Software Foundation,   *
 * Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.       *
 *                                                                      *
 ************************************************************************
 * 
 *  BotLoader/BotLoader.class.php
 *
 * This class loades / rehashs or unloads all Bots.
 *
 */
require_once("Bot.class.php");
require_once("saxdb.class.php");

class BotLoader {
	private $uplink;
	private $saxdb;
	private $botdb;
	private $loadedBots = array();
	
	public function __construct($uplink) {
		$this->uplink = $uplink;
		$this->saxdb = new saxdb();
		$this->saxdb->loadDB("php_p10.db");
		$this->botdb = $this->saxdb->getSection("BotLoader");
	}
	
	public function loadBots() {
		if(array_key_exists("bots", $this->botdb) && is_array($this->botdb["bots"])) {
			foreach($this->botdb["bots"] as $name => $botfile) {
				$this->loadBot($name, $botfile);
			}
		} else {
			$this->botdb["bots"] = array();
		}
	}
	
	private function loadBot($name, $botfile) {
		if(array_key_exists($name, $this->loadedBots)) return;
		//load bot
		if(!array_key_exists($name, $this->botdb["bots"])) {
			$this->botdb["bots"][$name] = $botfile;
		}
	}
	
}

?>